> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate customer details

> Validate your customer's information. Supported input include: meter number, smartcard number, internet account number, etc.



## OpenAPI

````yaml get /bill-items/CB141/validate
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /bill-items/CB141/validate:
    get:
      tags:
        - Bill Payments
      summary: Validate customer details
      description: >-
        Validate your customer's information. Supported input include: meter
        number, smartcard number, internet account number, etc.
      operationId: Validatecustomerdetails
      parameters:
        - name: code
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: BIL119
        - name: customer
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            example: 5636672
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:08:18 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '279'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"117-3UBKI2U2ToNrQOgaw1lG7Q"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Validatecustomerdetails'
                  - example:
                      status: success
                      message: Item validated successfully
                      data:
                        response_code: '00'
                        address: null
                        response_message: Successful
                        name: Test DSTV Account
                        biller_code: BIL119
                        customer: '0025401100'
                        product_code: CB141
                        email: null
                        fee: 0
                        maximum: 0
                        minimum: 0
              example:
                status: success
                message: Item validated successfully
                data:
                  response_code: '00'
                  address: null
                  response_message: Successful
                  name: Test DSTV Account
                  biller_code: BIL119
                  customer: '0025401100'
                  product_code: CB141
                  email: null
                  fee: 0
                  maximum: 0
                  minimum: 0
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:09:05 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '62'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"3e-0LS5w9wlDuNUxpO8n+39eA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: >-
                      #/components/schemas/Validatecustomerdetails-Errorresponse1
                  - example:
                      status: error
                      message: Invalid customer id
                      data: null
              example:
                status: error
                message: Invalid customer id
                data: null
      deprecated: false
components:
  schemas:
    Validatecustomerdetails:
      title: Validatecustomerdetails
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data73'
      example:
        status: success
        message: Item validated successfully
        data:
          response_code: '00'
          address: null
          response_message: Successful
          name: Test DSTV Account
          biller_code: BIL119
          customer: '0025401100'
          product_code: CB141
          email: null
          fee: 0
          maximum: 0
          minimum: 0
    Validatecustomerdetails-Errorresponse1:
      title: Validatecustomerdetails-Errorresponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: Invalid customer id
        data: null
    Data73:
      title: Data73
      required:
        - response_code
        - address
        - response_message
        - name
        - biller_code
        - customer
        - product_code
        - email
        - fee
        - maximum
        - minimum
      type: object
      properties:
        response_code:
          type: string
        address:
          type: string
          nullable: true
        response_message:
          type: string
        name:
          type: string
        biller_code:
          type: string
        customer:
          type: string
        product_code:
          type: string
        email:
          type: string
          nullable: true
        fee:
          type: integer
          format: int32
        maximum:
          type: integer
          format: int32
        minimum:
          type: integer
          format: int32
      example:
        response_code: '00'
        address: null
        response_message: Successful
        name: Test DSTV Account
        biller_code: BIL119
        customer: '0025401100'
        product_code: CB141
        email: null
        fee: 0
        maximum: 0
        minimum: 0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````